Retrieve social provider configuration

Retrieves the social provider configuration for a specified provider name for the Tenant.

GET
/v2/manage/providers/{provider}

Retrieves the social provider configuration for a specified provider name for the Tenant.

Authorization

M2MBearerToken
AuthorizationBearer <token>

M2M Token for authentication

In: header

Path Parameters

provider*string

Provider Name

Value in"FACEBOOK" | "GOOGLE" | "YAHOO" | "LIVE" | "TWITTER" | "LINKEDIN" | "FOURSQUARE" | "QQ" | "GITHUB" | "PAYPAL" | "SINAWEIBO" | "WECHAT" | "APPLE" | "SALESFORCE" | "AMAZON"

Response Body

application/json

application/json

application/json

curl -X GET "https://api.loginradius.com/v2/manage/providers/FACEBOOK"
{
  "IsActive": true,
  "Key": "exampleKey",
  "Secret": "exampleSecret",
  "ExtraField1": "extraValue1",
  "ExtraField2": "extraValue2",
  "AppleSecretConfiguration": {
    "Certificate": "-----BEGIN CERTIFICATE-----\nMIIDXTCCAkWgAwIBAgIJAL5v1Z3k5Y2mMA0GCSqGSIb3DQEBCwUAMEUxCzAJBgNV\n...\n-----END CERTIFICATE-----\n",
    "KeyIdentifier": "ABCDEFGHIJ",
    "ServiceId": "com.example.app",
    "BundleId": "com.example.app",
    "TeamId": "ABCDEFGHIJ"
  }
}
{
  "Message": "Access Unauthorized",
  "Description": "Access Unauthorized, please use valid authorization to access this endpoint.",
  "ErrorCode": 6002
}

{
  "Message": "Provider not configured",
  "Description": "Provider not configured, Please provide valid provider name.",
  "ErrorCode": 8147
}